OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexBufferObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexBufferObject :: MonadIO m => m Bool
- gl_ARB_vertex_buffer_object :: Bool
- gl_ARRAY_BUFFER_ARB :: GLenum
- gl_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_BUFFER_ACCESS_ARB :: GLenum
- gl_BUFFER_MAPPED_ARB :: GLenum
- gl_BUFFER_MAP_POINTER_ARB :: GLenum
- gl_BUFFER_SIZE_ARB :: GLenum
- gl_BUFFER_USAGE_ARB :: GLenum
- gl_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_DYNAMIC_COPY_ARB :: GLenum
- gl_DYNAMIC_DRAW_ARB :: GLenum
- gl_DYNAMIC_READ_ARB :: GLenum
- gl_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_ELEMENT_ARRAY_BUFFER_ARB :: GLenum
- gl_ELEMENT_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_INDEX_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_NORMAL_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_READ_ONLY_ARB :: GLenum
- gl_READ_WRITE_ARB :: GLenum
- gl_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_STATIC_COPY_ARB :: GLenum
- gl_STATIC_DRAW_ARB :: GLenum
- gl_STATIC_READ_ARB :: GLenum
- gl_STREAM_COPY_ARB :: GLenum
- gl_STREAM_DRAW_ARB :: GLenum
- gl_STREAM_READ_ARB :: GLenum
- gl_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_VERTEX_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_WEIGHT_ARRAY_BUFFER_BINDING_ARB :: GLenum
- gl_WRITE_ONLY_ARB :: GLenum
- glBindBufferARB :: MonadIO m => GLenum -> GLuint -> m ()
- glBufferDataARB :: MonadIO m => GLenum -> GLsizeiptrARB -> Ptr a -> GLenum -> m ()
- glBufferSubDataARB :: MonadIO m => GLenum -> GLintptrARB -> GLsizeiptrARB -> Ptr a -> m ()
- glDeleteBuffersARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenBuffersARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetBufferParameterivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetBufferPointervARB :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glGetBufferSubDataARB :: MonadIO m => GLenum -> GLintptrARB -> GLsizeiptrARB -> Ptr a -> m ()
- glIsBufferARB :: MonadIO m => GLuint -> m GLboolean
- glMapBufferARB :: MonadIO m => GLenum -> GLenum -> m (Ptr a)
- glUnmapBufferARB :: MonadIO m => GLenum -> m GLboolean

# Extension Support

glGetARBVertexBufferObject :: MonadIO m => m Bool

Is the ARB_vertex_buffer_object extension supported?

gl_ARB_vertex_buffer_object :: Bool

Is the ARB_vertex_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexBufferObject` in those cases instead.

# Enums

gl_ARRAY_BUFFER_ARB :: GLenum

gl_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_BUFFER_ACCESS_ARB :: GLenum

gl_BUFFER_MAPPED_ARB :: GLenum

gl_BUFFER_MAP_POINTER_ARB :: GLenum

gl_BUFFER_SIZE_ARB :: GLenum

gl_BUFFER_USAGE_ARB :: GLenum

gl_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_DYNAMIC_COPY_ARB :: GLenum

gl_DYNAMIC_DRAW_ARB :: GLenum

gl_DYNAMIC_READ_ARB :: GLenum

gl_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_ELEMENT_ARRAY_BUFFER_ARB :: GLenum

gl_ELEMENT_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_INDEX_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_NORMAL_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_READ_ONLY_ARB :: GLenum

gl_READ_WRITE_ARB :: GLenum

gl_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_STATIC_COPY_ARB :: GLenum

gl_STATIC_DRAW_ARB :: GLenum

gl_STATIC_READ_ARB :: GLenum

gl_STREAM_COPY_ARB :: GLenum

gl_STREAM_DRAW_ARB :: GLenum

gl_STREAM_READ_ARB :: GLenum

gl_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_VERTEX_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_WEIGHT_ARRAY_BUFFER_BINDING_ARB :: GLenum

gl_WRITE_ONLY_ARB :: GLenum

# Functions

glBindBufferARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glBindBuffer`.

glBufferDataARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type `BufferUsageARB`.
-> m () |

This command is an alias for `glBufferData`.

glBufferSubDataARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLintptrARB | `offset` of type `BufferOffsetARB`.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

This command is an alias for `glBufferSubData`.

glDeleteBuffersARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteBuffers`.

glGenBuffersARB

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenBuffers`.

glGetBufferParameterivARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLenum | `pname` of type `BufferPNameARB`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetBufferParameteriv`.

glGetBufferPointervARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLenum | `pname` of type `BufferPointerNameARB`.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

This command is an alias for `glGetBufferPointerv`.

glGetBufferSubDataARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLintptrARB | `offset` of type `BufferOffsetARB`.
-> GLsizeiptrARB | `size` of type `BufferSizeARB`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

This command is an alias for `glGetBufferSubData`.

glIsBufferARB

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsBuffer`.

glMapBufferARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> GLenum | `access` of type `BufferAccessARB`.
-> m (Ptr a) |

This command is an alias for `glMapBuffer`.

glUnmapBufferARB

Arguments

:: MonadIO m |
=> GLenum | `target` of type `BufferTargetARB`.
-> m GLboolean | of type Boolean.

This command is an alias for `glUnmapBuffer`.